
QGIS Application - Bug report #13587

Processing: `Geoalgorithms/modeler/modeler-tools/calculator` fails

2015-10-13 09:14 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21629

Description

KeyError: None 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 409, in addAlgorithm

    self._addAlgorithm(alg.getCopy())

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 412, in _addAlgorithm

    dlg = alg.getCustomModelerParametersDialog(self.alg)

  File "/usr/share/qgis/python/plugins/processing/modeler/CalculatorModelerAlgorithm.py", line 75, in

getCustomModelerParametersDialog

    return CalculatorModelerParametersDialog(self, modelAlg, algName)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 62, in init

    self.setupUi()

  File "/usr/share/qgis/python/plugins/processing/modeler/CalculatorModelerAlgorithm.py", line 104, in setupUi

    alg = self.model.algs[self._algName]

KeyError: None

Versione Python: 2.7.10+ (default, Oct 10 2015, 09:11:24) [GCC 5.2.1 20151003] 

Versione di QGIS: 2.11.0-Master Master, exported

Associated revisions

Revision c87646a9 - 2015-10-13 07:59 PM - Victor Olaya

[processing] fixed modeler calcualtor when opening dialog for the first time

fixes #13587

History

#1 - 2015-10-13 09:15 AM - Paolo Cavallini

Just activating the tool by double click triggers the issue.

#2 - 2015-10-13 11:00 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"c87646a9a7810456fce47e416eeceafd09f917df".
#3 - 2015-10-13 12:08 PM - Paolo Cavallini

Confirmed, it works, thanks!
